Bug 872687 - create a Role with single-character name fails
create a Role with single-character name fails
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Adam Price
Tazim Kolhar
:
Depends On: 872686
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-11-02 13:58 EDT by Adam Price
Modified: 2016-04-25 20:54 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Allows for the creation of Roles with a single-character name
Story Points: ---
Clone Of: 872686
Environment:
Last Closed: 2013-02-21 14:18:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Role name using single character (50.02 KB, image/png)
2012-11-05 03:49 EST, Tazim Kolhar
no flags Details
Role name using single character (41.22 KB, image/png)
2012-11-12 04:17 EST, Tazim Kolhar
no flags Details
Role name using single character (45.15 KB, image/png)
2012-11-23 05:59 EST, Tazim Kolhar
no flags Details

  None (edit)
Description Adam Price 2012-11-02 13:58:38 EDT
+++ This bug was initially created as a clone of Bug #872686 +++

Description of problem:

cannot create a Role with a name-length of one character

Version-Release number of selected component (if applicable):


How reproducible:

try to create a Role with the name "a"

Steps to Reproduce:
1.
2.
3.
  
Actual results:

fails

Expected results:

success

Additional info:
Comment 2 Tazim Kolhar 2012-11-05 03:49:05 EST
Created attachment 638423 [details]
Role name using single character

Verified :


# rpm -qa |  grep katello
katello-certs-tools-1.2.1-1h.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-common-1.2.2-1h.el6_3.noarch
katello-glue-candlepin-1.2.2-1h.el6_3.noarch
katello-cli-1.2.2-1h.el6_3.noarch
katello-selinux-1.2.1-1h.el6_3.noarch
katello-headpin-all-1.2.2-1h.el6_3.noarch
katello-headpin-1.2.2-1h.el6_3.noarch
katello-configure-1.2.1-1h.el6_3.noarch
katello-common-1.2.2-1h.el6_3.noarch
Comment 3 Garik Khachikyan 2012-11-05 07:14:05 EST
qe ack to fix it in 1.2
Comment 4 Adam Price 2012-11-05 15:23:17 EST
works for me in master, but it hasn't made it into a puddle yet
Comment 6 Tazim Kolhar 2012-11-12 04:17:22 EST
Created attachment 643329 [details]
Role name using single character

VERIFIED :

# rpm -qa | grep katello
katello-common-1.2.4-1h.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.2.1-1h.el6_3.noarch
katello-cli-1.2.3-1h.el6_3.noarch
katello-selinux-1.2.1-1h.el6_3.noarch
katello-cli-common-1.2.3-1h.el6_3.noarch
katello-headpin-1.2.4-1h.el6_3.noarch
katello-configure-1.2.2-1h.el6_3.noarch
katello-headpin-all-1.2.4-1h.el6_3.noarch
katello-glue-candlepin-1.2.4-1h.el6_3.noarch
Comment 7 Adam Price 2012-11-15 11:19:10 EST
this bug regresssed
Comment 9 Garik Khachikyan 2012-11-23 05:18:11 EST
guys please: if you gonna fix a bug: make it back to status ASSIGNED->POST->MODIFIED->ON_QA (as usual)

Doing just a comment on VERIFIED status the issue getting out of QE radars!

thanks.

@Tazim: please make another round checking the issue please (on our latest) and feel free to move status to ASSIGNED if you would find it not fixed/regressed. thanks.
Comment 11 Tazim Kolhar 2012-11-23 05:59:45 EST
Created attachment 650324 [details]
Role name using single character

VERIFIED :

# rpm -qa | grep katello
katello-common-1.2.6-2h.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.2.1-1h.el6_3.noarch
katello-cli-1.2.4-2h.el6_3.noarch
katello-glue-candlepin-1.2.6-2h.el6_3.noarch
katello-cli-common-1.2.4-2h.el6_3.noarch
katello-headpin-1.2.6-2h.el6_3.noarch
katello-configure-1.2.3-1h.el6_3.noarch
katello-headpin-all-1.2.6-2h.el6_3.noarch
katello-selinux-1.2.1-1h.el6_3.noarch
Comment 13 errata-xmlrpc 2013-02-21 14:18:45 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.